Bazaar v2.1.0 changed behaviour
Status: Closed Start date: 2010-03-06

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed Affected version: 0.9.3

Description

After upgrading my bazaar version to the latest stable 2.1.0, listing of repository files got broke. Looks like the behavior of bzr ls has

changed since 2.0.x series in the following way :

Behavior in 2.0.x

bzr ls -v --show-ids -r-1 '/home/shiny/testor/testorzor'

V        /home/shiny/testor/testorzor/laina        laina-20100306144813-cdqf0909scn3d6rk-1

 Without ending trailing slash.

bzr ls -v --show-ids -r-1 '/home/shiny/testor/testorzor/'

V        /home/shiny/testor/testorzor//laina       laina-20100306144813-cdqf0909scn3d6rk-1

 With ending trailing slash.

Behavior of 2.1.x :

bzr ls -v --show-ids -r-1 '/srv/bzr/hostingdodo/trunk'

V        /srv/bzr/hostingdodo/trunk/.bzrignore     bzrignore-20100306135421-300z3kdaig66wj9u-1

V        /srv/bzr/hostingdodo/trunk/apps/          apps-20100306133332-iayw586x91ffy61s-1

V        /srv/bzr/hostingdodo/trunk/cache/         cache-20100306133332-iayw586x91ffy61s-2

V        /srv/bzr/hostingdodo/trunk/config/        config-20100306133332-iayw586x91ffy61s-3

V        /srv/bzr/hostingdodo/trunk/data/          data-20100306133332-iayw586x91ffy61s-4

V        /srv/bzr/hostingdodo/trunk/lib/           lib-20100306133332-iayw586x91ffy61s-5

V        /srv/bzr/hostingdodo/trunk/log/           log-20100306133332-iayw586x91ffy61s-6

V        /srv/bzr/hostingdodo/trunk/plugins/       plugins-20100306133332-iayw586x91ffy61s-7

V        /srv/bzr/hostingdodo/trunk/symfony        symfony-20100306133332-iayw586x91ffy61s-10

V        /srv/bzr/hostingdodo/trunk/test/          test-20100306133332-iayw586x91ffy61s-8

V        /srv/bzr/hostingdodo/trunk/web/           web-20100306133332-iayw586x91ffy61s-9

 Without trailing slash.

bzr ls -v --show-ids -r-1 '/srv/bzr/hostingdodo/trunk/'

V        .bzrignore                                bzrignore-20100306135421-300z3kdaig66wj9u-1

V        apps/                                     apps-20100306133332-iayw586x91ffy61s-1

V        cache/                                    cache-20100306133332-iayw586x91ffy61s-2

V        config/                                   config-20100306133332-iayw586x91ffy61s-3

V        data/                                     data-20100306133332-iayw586x91ffy61s-4

V        lib/                                      lib-20100306133332-iayw586x91ffy61s-5

V        log/                                      log-20100306133332-iayw586x91ffy61s-6

V        plugins/                                  plugins-20100306133332-iayw586x91ffy61s-7

V        symfony                                   symfony-20100306133332-iayw586x91ffy61s-10

V        test/                                     test-20100306133332-iayw586x91ffy61s-8

V        web/                                      web-20100306133332-iayw586x91ffy61s-9

 With trailing slash.

Since redmine is always trying to strip the path from the ls'd files ( and always adds an ending trailing slash to the repo url, no matter

how it is set in the db ), the result with 2.1.0 is that no files are listed in the repository view.

Fixing this would be nice.
Associated revisions

Revision 3550 - 2010-03-06 21:14 - Jean-Philippe Lang

Makes test pass with Bazaar 2.1.0 (#5002).

History

#1 - 2010-03-07 12:06 - Nikolai Bochev

It seems that this fix is working on my 2.1.0 install. However i have not tested it with 2.0.x . Should i do so , or have you already done that ?

#2 - 2010-03-07 12:49 - Jean-Philippe Lang

Tests pass with bazaar 1.3.1, 2.0.4 and 2.1.0.

#3 - 2010-03-08 21:11 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.4

- Resolution set to Fixed

#4 - 2010-04-11 16:28 - Jean-Philippe Lang

- Status changed from Resolved to Closed
